package org.implab.gradle.common.dsl;

import org.implab.gradle.common.exec.Shell;

public interface ShellSpecMixin {
    void setShell(Shell shell);

    default void useEchoShell() {
        setShell(Shell.echo());
    }

    default void useSystemShell() {
        setShell(Shell.system());
    }
}
